# enable_gtkdoc: Toggle whether gtkdoc stuff should be rebuilt
#      0 = No
#      1 = Yes
%define enable_gtkdoc	0

# Define biarch packages
%define biarches_32 %{ix86}
%define biarches_64 x86_64


# Version of libraries required
%define req_glib_version       2.9.0
%define req_freetype2_version  2.1.3
%define req_fontconfig_version  2.1
%define req_cairo_version  1.7.2

%define api_version	1.0
%define gir_major       1.0
%define module_version	1.8.0
%define lib_major	0
%define lib_name    %mklibname %{name} %{api_version} %{lib_major}
%define libnamedev  %mklibname -d %{name} %{api_version} 

Summary:	System for layout and rendering of internationalized text
Summary(de):	System für Entwürfe und Ausgaben von internationalisiertem Text
Name:		pango
Version:	1.40.1
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.pango.org/
#-----------------------------------
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}fontconfig-devel
BuildRequires: %{_lib}freetype6-devel
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}harfbuzz-devel
BuildRequires: %{_lib}thai-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xft-devel
BuildRequires: %{_lib}xrender-devel
#-----------------------------------
%if %enable_gtkdoc
BuildRequires: gtk-doc >= 0.10
BuildRequires: libxslt-proc docbook-style-xsl docbook-dtd412-xml
%endif
Source0:	http://ftp.gnome.org/pub/GNOME/sources/pango/%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Obsoletes: 	%{name} < %version
Requires:	pangox-compat

%description
A library to handle unicode strings as well as complex bidirectional
or context dependent shaped strings.
It is the next step on Gtk+ internationalization.

#german
%description -l de
Eine Bibliothek für den Umgang mit Unicode-Zeichenketten
sowie komplexe bidirektionale oder Kontext abhängig gestalteten Zeichenketten.

Es ist der nächste Schritt zur GTK + Internationalisierung. 


%package -n %{lib_name} 
Summary: %{summary}
Summary(de): System für Entwürfe und Ausgaben von internationalisiertem Text
Group: System/Libraries
Provides:	lib%{name}%{api_version} = %{version}-%{release}
Provides:	lib%{name} = %{version}-%{release}
Requires:	%{name} = %{version}
Requires: 	freetype2 >= %{req_freetype2_version}
Requires: 	fontconfig >= %{req_fontconfig_version}
Requires: 	glib2 >= %{req_glib_version}
Requires:	%{_lib}pangox1.0_0
Conflicts: 	gir-repository < 0.6.5
Obsoletes:	%{lib_name} < %version
#dropped upstream
Obsoletes:	%{_lib}pango1.0_0-modules
Obsoletes:	%{_lib}pango1.0_0-modules-thai


%description -n %{lib_name}
A library to handle unicode strings as well as complex bidirectional
or context dependent shaped strings.
It is the next step on Gtk+ internationalization.

#german
%description -n %{lib_name} -l de
Eine Bibliothek für den Umgang mit Unicode-Zeichenketten
sowie komplexe bidirektionale oder Kontext abhängig gestalteten Zeichenketten.

Es ist der nächste Schritt zur GTK + Internationalisierung. 


%package -n %{libnamedev}
Summary:  %{summary}
Summary(de):	System für Entwürfe und Ausgaben von internationalisiertem Text
Group: Development/Libraries
Obsoletes:	%{name}-devel
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	lib%{name}%{api_version}-devel = %{version}-%{release}
Requires:	%{name} = %{version}
Requires:	%{lib_name} = %{version}
Obsoletes: 	%mklibname -d %{name} %{api_version} %{lib_major}
Conflicts:	%{name} < 1.18.0-3


%description -n %{libnamedev}
This package includes the static libraries and header files
for the pango package.

#german
%description -n %{libnamedev} -l de
Das Paket beinhaltet die statische Bibliotheken und Header Dateien 
für das Pango Paket.

%package doc
Summary:  %{summary}
Group: Documentation
BuildArch: noarch

%description doc
This package provides API documentation for Pango.

#german
%description doc -l de
Die API Dokumentation für Pango.


%prep
%setup -q

%build

# generate build scripts using our autotools/libtoolize
autoreconf -fi

%configure2_5x \
	--enable-static=no \
%if %enable_gtkdoc
	--enable-gtk-doc=yes \
%endif

%make ARCH=%{_arch}


%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

# remove unpackaged files
find %{buildroot} -name '*.la' -delete

%files
%doc README AUTHORS
%doc NEWS 
%{_mandir}/man1/*

%files -n %{lib_name}
%{_libdir}/libpango-%{api_version}.so.%{lib_major}*
%{_libdir}/libpangoft2-%{api_version}.so.%{lib_major}*
%{_libdir}/libpangoxft-%{api_version}.so.%{lib_major}*
%{_libdir}/libpangocairo-%{api_version}.so.%{lib_major}*

%{_libdir}/girepository-1.0/Pango-%{gir_major}.typelib
%{_libdir}/girepository-1.0/PangoCairo-%{gir_major}.typelib
%{_libdir}/girepository-1.0/PangoFT2-%{gir_major}.typelib
%{_libdir}/girepository-1.0/PangoXft-%{gir_major}.typelib

%files -n %{libnamedev}
%{_bindir}/pango-view*
%{_libdir}/libpango-*.so
%{_libdir}/libpangoxft-*.so
%{_libdir}/libpangoft2-*.so
%{_libdir}/libpangocairo*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/gir-1.0/Pango-%{gir_major}.gir
%{_datadir}/gir-1.0/PangoCairo-%{gir_major}.gir
%{_datadir}/gir-1.0/PangoFT2-%{gir_major}.gir
%{_datadir}/gir-1.0/PangoXft-%{gir_major}.gir

%files doc
%doc %{_datadir}/gtk-doc/html/pango
%doc ChangeLog
%doc pango-view/HELLO.txt


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Fri Jun 24 2016 bb <bb> 1.40.1-1pclos2016
- update

* Tue Oct 13 2015 bb <bb> 1.38.1-1pclos2015
- update

* Mon May 05 2015 bb <bb> 1.36.8-1pclos2015
- update

* Thu Sep 04 2014 bb <bb> 1.36.7-1pclos2014
- update

* Thu Feb 06 2014 bb <bb> 1.36.2-1pclos2014
- update 
- drop .la files
- fix typelib and gir files

